Show / Hide Table of Contents

# Struct ActionManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ActionManager

### Methods

| Improve this Doc View Source

#### GetActionInRangeOrLoS(UInt32, GameObject*, GameObject*)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 85 C0 75 02 33 C0", IsStatic = true)]
    public static uint GetActionInRangeOrLoS(uint actionId, GameObject*sourceObject, GameObject*targetObject)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionId |
GameObject* | sourceObject |
GameObject* | targetObject |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetActionRange(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8B CD 0F 28 F0", IsStatic = true)]
    public static float GetActionRange(uint actionId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionId |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetActionStatus(ActionType, UInt32, UInt32, UInt32, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 83 BC 24 ?? ?? ?? ?? ?? 8B F0")]
    public uint GetActionStatus(ActionType actionType, uint actionID, uint targetID = 3758096384U, uint a4 = 1U, uint a5 = 1U)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.UInt32 | targetID |
System.UInt32 | a4 |
System.UInt32 | a5 |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetAdjustedActionId(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8B F8 3B DF")]
    public uint GetAdjustedActionId(uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetAdjustedCastTime(ActionType, UInt32, Byte, Byte)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 33 D2 49 8B CF 66 44 0F 6E C0")]
    public float GetAdjustedCastTime(ActionType actionType, uint actionID, byte a3 = 1, byte a4 = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.Byte | a3 |
System.Byte | a4 |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetAdjustedRecastTime(ActionType, UInt32, Byte)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8B D6 41 8B CF")]
    public float GetAdjustedRecastTime(ActionType actionType, uint actionID, byte a3 = 1)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.Byte | a3 |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetRecastTime(ActionType, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 0F 2F C7 0F 28 7C 24")]
    public float GetRecastTime(ActionType actionType, uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetRecastTimeElapsed(ActionType, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? F3 0F 5C F0 49 8B CD")]
    public float GetRecastTimeElapsed(ActionType actionType, uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("48 8D 0D ?? ?? ?? ?? 33 C0 89 44 24 30", 0, false)]
    public static ActionManager*Instance()

##### Returns

Type | Description
--- | ---
ActionManager* |

| Improve this Doc View Source

#### IsRecastTimerActive(ActionType, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 3C 01 74 45")]
    public bool IsRecastTimerActive(ActionType actionType, uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### UseAction(ActionType, UInt32, UInt32, UInt32, UInt32, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? EB 64 B1 01")]
    public bool UseAction(ActionType actionType, uint actionID, uint targetID = 3758096384U, uint a4 = 0U, uint a5 = 0U, uint a6 = 0U)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.UInt32 | targetID |
System.UInt32 | a4 |
System.UInt32 | a5 |
System.UInt32 | a6 |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### UseActionLocation(ActionType, UInt32, UInt32, Vector3*, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 3C 01 0F 85 ?? ?? ?? ?? EB 46")]
    public bool UseActionLocation(ActionType actionType, uint actionID, uint targetID = 3758096384U, Vector3*location = default(Vector3*), uint a4 = 0U)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.UInt32 | targetID |
Vector3* | location |
System.UInt32 | a4 |

##### Returns

Type | Description
--- | ---
System.Boolean |